> This page is for Firmware, version 4.0 (default).
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Clear staged zone set files

DELETE http://os-992244000006.local/api/v1/zone_monitor/staged

Clears all files from the staged zone set directory, leaving it empty. This will not delete the zones
from the active configuration. To delete the zones, follow the procedure outlined in
the `/api/v1/zone_monitor/apply` endpoint documentation.

**To completely delete zones from the sensor** (return to zone-free state): follow the procedure outlined in
the `/api/v1/zone_monitor/apply` endpoint documentation.


Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/zone-monitor/clear-staged-zone-set-files

## Response

### 204

Successfully cleared staged set files

## Errors

### 404 Not Found Error

Staged set not found

- `error` (ErrorError, optional)

## Types

### ErrorError

- `title` (string, optional)
- `description` (string, optional)

## Examples

**SDK Code**

```python
import requests

url = "http://os-992244000006.local/api/v1/zone_monitor/staged"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'http://os-992244000006.local/api/v1/zone_monitor/staged';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/zone_monitor/staged"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/zone_monitor/staged")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("http://os-992244000006.local/api/v1/zone_monitor/staged")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'http://os-992244000006.local/api/v1/zone_monitor/staged');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/zone_monitor/staged");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/zone_monitor/staged")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```